package com.jeeplus.modules.filing.basicInformation.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.test.onetomany.dialog.entity.TestDataChild11;
import com.jeeplus.modules.test.onetomany.dialog.entity.TestDataChild12;

import java.util.List;

/**
 * 基础信息实体类
 * */
public class BasicInformation extends DataEntity<BasicInformation> {
    /**
     * 项目编码
     * */
    private String projectCode;

    /**
     * 单体编码
     * */
    private String monomerCode;

    /**
     * 项目名称
     * */
    private String entryName;

    /**
     * 工程属性/重点程度
     * */
    private String emphasis;


    /**
     * 建设年度1
     * */
    private String constructionYear;

    /**
     * 建设年度1投资
     * */
    private String annualInvestment;

    /**
     * 建设年度2
     * */
    private String constructionYearTwo;

    /**
     * 建设年度2投资
     * */
    private String annualInvestmentTwo;

    /**
     * 建设年度3
     * */
    private String constructionYearThree;

    /**
     * 建设年度3投资
     * */
    private String annualInvestmentThree;

    /**
     * 建设年度4
     * */
    private String constructionYearFour;

    /**
     * 建设年度4投资
     * */
    private String annualInvestmentFour;


    /**
     * 子类数据集合
     * */
    private List<BasicInformationChild> basicChildList = Lists.newArrayList();

    /**
     * 对应年度数据
     * */
    private List<BasicYear> yearList = Lists.newArrayList();



    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="工程属性/重点程度", align=2, sort=12)
    public String getEmphasis() {
        return emphasis;
    }

    public void setEmphasis(String emphasis) {
        this.emphasis = emphasis;
    }

    @ExcelField(title="建设年度1", align=2, sort=4)
    public String getConstructionYear() {
        return constructionYear;
    }

    public void setConstructionYear(String constructionYear) {
        this.constructionYear = constructionYear;
    }

    @ExcelField(title="建设年度1投资", align=2, sort=5)
    public String getAnnualInvestment() {
        return annualInvestment;
    }

    public void setAnnualInvestment(String annualInvestment) {
        this.annualInvestment = annualInvestment;
    }

    @ExcelField(title="建设年度2", align=2, sort=6)
    public String getConstructionYearTwo() {
        return constructionYearTwo;
    }

    public void setConstructionYearTwo(String constructionYearTwo) {
        this.constructionYearTwo = constructionYearTwo;
    }

    @ExcelField(title="建设年度2投资", align=2, sort=7)
    public String getAnnualInvestmentTwo() {
        return annualInvestmentTwo;
    }

    public void setAnnualInvestmentTwo(String annualInvestmentTwo) {
        this.annualInvestmentTwo = annualInvestmentTwo;
    }

    @ExcelField(title="建设年度3", align=2, sort=8)
    public String getConstructionYearThree() {
        return constructionYearThree;
    }

    public void setConstructionYearThree(String constructionYearThree) {
        this.constructionYearThree = constructionYearThree;
    }

    @ExcelField(title="建设年度3投资", align=2, sort=9)
    public String getAnnualInvestmentThree() {
        return annualInvestmentThree;
    }

    public void setAnnualInvestmentThree(String annualInvestmentThree) {
        this.annualInvestmentThree = annualInvestmentThree;
    }

    @ExcelField(title="建设年度4", align=2, sort=10)
    public String getConstructionYearFour() {
        return constructionYearFour;
    }

    public void setConstructionYearFour(String constructionYearFour) {
        this.constructionYearFour = constructionYearFour;
    }

    @ExcelField(title="建设年度4投资", align=2, sort=11)
    public String getAnnualInvestmentFour() {
        return annualInvestmentFour;
    }

    public void setAnnualInvestmentFour(String annualInvestmentFour) {
        this.annualInvestmentFour = annualInvestmentFour;
    }


    public List<BasicInformationChild> getBasicChildList() {
        return basicChildList;
    }

    public void setBasicChildList(List<BasicInformationChild> basicChildList) {
        this.basicChildList = basicChildList;
    }

    public List<BasicYear> getYearList() {
        return yearList;
    }

    public void setYearList(List<BasicYear> yearList) {
        this.yearList = yearList;
    }
}
